This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 168038 - isoinfo doesn't support UTF-8
isoinfo doesn't support UTF-8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrkit (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-11 07:33 EDT by Egmont Koblinger
Modified: 2014-02-02 17:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:50:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
isoinfo UTF-8 support (3.37 KB, patch)
2006-07-02 10:57 EDT, Egmont Koblinger
no flags Details | Diff

  None (edit)
Description Egmont Koblinger 2005-09-11 07:33:51 EDT
From Bugzilla Helper:
User-Agent: Opera/7.54 (X11; Linux i686; U)  [en]

Description of problem:
Though mkisofs is patched to support (and use by default) UTF-8 filenames,
isoinfo doesn't support it. Hence it is not able to correctly report the
accented letters in the Joliet filenames, and as a consequence, accented
letters also don't show up correctly inside mc-4.6.1 if using its iso9660
extfs plugin (e.g. pressing Enter on an iso file).


Version-Release number of selected component (if applicable):
cdrtools-2.01.1-10

How reproducible:
Always

Steps to Reproduce:
Create a directory tree containing some accented filenames (using UTF-8
encoding) and create a iso image from it using the -J -jutf-8 options of
mkisofs. Then run "isoinfo -f -i isofile" on the image file.


Additional info:
Comment 1 Egmont Koblinger 2006-07-02 10:57:54 EDT
Created attachment 131853 [details]
isoinfo UTF-8 support

The attached patch adds UTF-8 support to isoinfo. (This becomes the default,
but can be also chosen by "-j utf-8" or "-j default").

I didn't do proper iconv support, neither used features from the iconv patch.
That one seemed to be a little bit overkill to me (I guess no-one should need a
charset nowadays that is neither UTF-8 nor supported by mainstream isoinfo).
And furthermore that iconv patch does reverse converting (whatever to UCS-2,
while here we'd need UCS-2 to whatever). So this approach would have required
much more work and most likely altering the iconv patch. Hence I chose to
create a quick and dirty hard-coded UCS-2 => UTF-8 conversion which hopefully
covers 99.9% percent of the cases where isoinfo was buggy so far.
Comment 2 Bug Zapper 2008-04-03 12:20:40 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Egmont Koblinger 2008-04-03 14:59:49 EDT
Dear "Bug Zapper" or whoever reads this,

I'm pretty sure the easiest way to get rid of Bugzilla entries is to wait two
and a half years without any comment, and then just claim it's most likely
obsolete. But please think for a moment, which one is more important for you: to
get rid of Bugzilla entries, or to actually get the bugs fixed?

If you need any kind of clarification or really _more_ information to help fix
the bug, I'm happy to provide them.

However, apparently so far you've done absolutely nothing with this bug
(probably haven't even read it), but you're asking me to perform again the very
same steps that I've done a long ago -- I think it's just pretty unfair.

I don't have current Fedora and don't plan to investigate the effort and time to
do something for you that I've already done once, especially knowing that in the
mean time there's nothing you have done with it.

This doesn't mean the bug is gone. Unless someone has explicitly done something
that fixed this bug, it is still there.

Please don't close the bug, unless _you_ have verified that it's already
resolved. Thanks for your understanding and best wishes!
Comment 4 Bug Zapper 2008-05-13 22:02:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jörg Schilling 2009-02-10 10:52:59 EST
The original isoinfo has proper UTF-8 and iconv support.
Just use recent original software from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/
Comment 6 Bug Zapper 2009-06-09 18:03:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jörg Schilling 2009-06-09 18:33:16 EDT
As mentioned before, the original software does
not have the problem mentioned in this bug report.

The original software did introduce working UTF-8 support
34 months ago. If RedHat did publish the original software
instead of the questionalble fork, many users would be happy.
The original cdrtools software fixes all "cdrkit" related 
problems in the RedHat bugtracking system that are not 
caused by bad media or by a Linux kernel bug.

See cdrecord.berlios.de
Comment 8 Egmont Koblinger 2009-06-10 05:14:40 EDT
Sigh... Great to see that none of the Red Hat folks bothered to do anything with this bugzilla entry in the last 45 months (3.75 years)... Not even a single "verified" or "tried but could not reproduce" or "checked: already fixed in mainline" or "will look at it next month". Nothing. Absolutely nothing. (Unless Ms. Bug Zapper turns out to be a human.) I swear, it's getting even worse than Debian. Nevermind...

(Jörg: just in case of doubt: this comment was not addressed to you. Thanks for the mainstream solution.)
Comment 9 Harald Hoyer 2009-06-10 07:46:20 EDT
resetting ownership of bug
Comment 10 Harald Hoyer 2009-06-10 07:47:10 EDT
assigning to correct component
Comment 11 Nikola Pajkovsky 2009-07-27 09:13:51 EDT
Did you try isoinfo -R -l -i foo.iso or isoinfo -J -l -i foo.iso? Maybe it will help read utf-8.
Comment 12 Jörg Schilling 2009-07-28 11:09:30 EDT
As mentioned before, the illegal fork that is distributed 
by redhat does not support UTF-8.

If you like to get working UTF-8 support, you need to 
upgrade to the original software at:

ftp://ftp.berlios.de/pub/cdrecord/alpha/
http://cdrecord.berlios.de
Comment 13 Bug Zapper 2009-11-18 03:04:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 00:50:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Jörg Schilling 2009-12-18 05:32:41 EST
This EOL state change does not affect the bug as long
as Redhat uses an EOL'd fork instead of using the original 
software "cdrtools". The problem named in this bug report
does not exist in the original software, it will continue to
exist in the fork.....

Note You need to log in before you can comment on or make changes to this bug.